Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class HeaderFooterRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.HeaderFooterRecord

    public final class HeaderFooterRecord

extends StandardRecord

The HEADERFOOTER record stores information added in Office Excel 2007 for headers/footers.

Author:
  Yegor Kozlov

Field Summary
`static short` | `sid`

Constructor Summary
`HeaderFooterRecord(byte[] data)`
`HeaderFooterRecord(RecordInputStream in)` construct a HeaderFooterRecord record.

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `getGuid()` If this header belongs to a specific sheet view , the sheet view?s GUID will be saved here.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isCurrentSheet()`
`void` | `serialize(LittleEndianOutput out)` spit the record out AS IS.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### HeaderFooterRecord

    public HeaderFooterRecord(byte[] data)

### HeaderFooterRecord

    public HeaderFooterRecord(RecordInputStream in)

  construct a HeaderFooterRecord record. No fields are interpreted and the record will be serialized in its original form more or less

  Parameters:
    `in` - the RecordInputstream to read the record from

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

  spit the record out AS IS. no interpretation or identification

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getGuid

    public byte[] getGuid()

  If this header belongs to a specific sheet view , the sheet view?s GUID will be saved here.

  If it is zero, it means the current sheet. Otherwise, this field MUST match the guid field of the preceding `UserSViewBegin` record.

  Returns:
    the sheet view?s GUID

### isCurrentSheet

    public boolean isCurrentSheet()

  Returns:
    whether this record belongs to the current sheet

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD